const express = require('express');
const router = express.Router();
const { isAccessAuth } = require("../middleware/isAuth.middleware");
const listMember = require("../controllers/listMember.controller");
const listMember_validator = require("../validator/listMember.validator");
const agent = require("../controllers/agent.controller");

router.get("/get", isAccessAuth, listMember.get_list_member);
router.get("/getMemberNetwork/:id", isAccessAuth, listMember.get_listMemberNetwork);
router.get("/getHistoryAction/:id", isAccessAuth, listMember.get_history_action);
router.get("/getMemberId/:id", isAccessAuth,listMember.get_list_member_by_id);
router.get("/getDetailMember/:id", isAccessAuth,listMember.get_member_by_id);
router.get("/getListHuayMember/:id", isAccessAuth,listMember.get_list_huay_member);
router.post("/getListHuayMemberByAgent", isAccessAuth,listMember.get_list_huay_member_by_agent);
router.post("/getListHuayMemberByAgent/search", isAccessAuth,listMember.get_search_list_huay_member_by_agent);
router.post("/getListHuayMember/search/:id", isAccessAuth,listMember.get_search_list_huay_member);
router.get("/getDetailHuayMember/:id", isAccessAuth,listMember.get_list_huay_member);
router.get("/getListLotte/:id", isAccessAuth,listMember.get_list_lotto);
router.get("/getBank/:id", isAccessAuth,listMember.get_bankById);
router.get("/getReportCreditById/:id", isAccessAuth,listMember.get_reportCreditById);
router.post("/search", isAccessAuth,listMember.get_search_list_member);
router.post("/getHistoryReportCreditById", isAccessAuth,listMember.get_reportHistoryCreditById);
router.get("/getVipById/:id", isAccessAuth,listMember.get_vipById);
router.post("/create", isAccessAuth, listMember.post_list_member);
router.post("/createDepositWithdraw", isAccessAuth, listMember.post_direct_withdraw);
router.put("/update", isAccessAuth, listMember.put_list_member);
router.put("/updateBank", isAccessAuth, listMember.put_bank_member);
router.delete("/delete/:id", isAccessAuth, listMember.delete_list_member);
router.post("/createNote", isAccessAuth, listMember.post_note_member);
router.delete("/deleteNote/:id", isAccessAuth , listMember.delete_note_member);
router.get("/getNoteMember/:id", isAccessAuth, listMember.get_note_member);
router.put("/updateStatus", isAccessAuth, listMember.put_status_member);
module.exports = router;
